Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.etee.domain
Class UnsealedData

    java.lang.Object
      be.ehealth.technicalconnector.service.etee.domain.UnsealedData

    public class UnsealedData

extends Object

Data produced when verifying/unsealing data.

Constructor Summary
`UnsealedData()`

Method Summary
`X509Certificate` | `getAuthenticationCert()`
`InputStream` | `getContent()`
`byte[]` | `getContentAsByte()`
`byte[]` | `getSignature()`
`X509Certificate` | `getSignatureCert()`
`Date` | `getSigningTime()`
`void` | `setAuthenticationCert(X509Certificate authenticationCert)`
`void` | `setContent(InputStream content)`
`void` | `setSignature(byte[] signature)`
`void` | `setSignatureCert(X509Certificate signatureCert)`
`void` | `setSigningTime(Date signingTime)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsealedData

    public UnsealedData()

Method Detail

### getContent

    public InputStream getContent()

### getContentAsByte

    public byte[] getContentAsByte()
                            throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

### setContent

    public void setContent(InputStream content)

### getAuthenticationCert

    public X509Certificate getAuthenticationCert()

### setAuthenticationCert

    public void setAuthenticationCert(X509Certificate authenticationCert)

### getSignature

    public byte[] getSignature()

### setSignature

    public void setSignature(byte[] signature)

### getSigningTime

    public Date getSigningTime()

### setSigningTime

    public void setSigningTime(Date signingTime)

### getSignatureCert

    public X509Certificate getSignatureCert()

### setSignatureCert

    public void setSignatureCert(X509Certificate signatureCert)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.